#!/usr/bin/make -f

%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_auto_build:
	dh_auto_build
	./make_doc

override_dh_auto_clean:
	dh_auto_clean
	rm -f include/compile_flags.hrl

override_dh_installdocs-indep:
	dh_installdocs

	mv $(CURDIR)/debian/erlang-proper-doc/usr/share/doc/erlang-proper/doc \
		$(CURDIR)/debian/erlang-proper-doc/usr/share/doc/erlang-proper-doc/edoc
	rm -rf $(CURDIR)/debian/erlang-proper-doc/usr/share/doc/erlang-proper-doc/edoc/overview.edoc
